# Copyright (c) 2021-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

FROM golang:1.16

RUN cd /go \
&&  git clone --branch master --single-branch --depth 1 https://chromium.googlesource.com/catapult \
&&  cd catapult/web_page_replay_go \
&&  go install src/wpr.go

ADD wpr_scripts/ /wpr_scripts

WORKDIR /go/catapult/web_page_replay_go
ADD entrypoint.sh /entrypoint.sh
EXPOSE 9080 9081
ENTRYPOINT [ "/entrypoint.sh" ]
